com.atid.lib.module.barcode.spc.param

## Class SPCParamNameList

- java.lang.Object
- - com.atid.lib.module.barcode.spc.param.SPCParamNameList

-     public class SPCParamNameList
      extends java.lang.Object

  Get data of barcode scanner's parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPCParamNameList()` Create an instance of the SPCParamNameList class.
    `SPCParamNameList(SPCParamName item)` Create an instance of the SPCParamNameList class.
    `SPCParamNameList(SPCParamName[] items)` Create an instance of the SPCParamNameList class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(SPCParamName item)` Add parameter type to the SPCParamNameList instance.
    `boolean` | `add(SPCParamName[] items)` Add all the information for the SPCParamNameList instance.
    `int` | `getCount()` Returns the type of parameter stored in the SPCParamNameList instance.
    `java.lang.String` | `getQueryCommand(int engine)` Returns the parameter names of the barcode module.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPCParamNameList

          public SPCParamNameList()

      Create an instance of the SPCParamNameList class.

    - #### SPCParamNameList

          public SPCParamNameList(SPCParamName item)

      Create an instance of the SPCParamNameList class.

    - #### SPCParamNameList

          public SPCParamNameList(SPCParamName[] items)

      Create an instance of the SPCParamNameList class.

  - ### Method Detail

    - #### getCount

          public int getCount()

      Returns the type of parameter stored in the SPCParamNameList instance.
      Returns:
        An integer representing the count.

    - #### add

          public boolean add(SPCParamName item)

      Add parameter type to the SPCParamNameList instance.
      Parameters:
        `item` - SPCParamName represent the parameter type.
      Returns:
        An boolean The result of adding the SPCParamNameList instance.

    - #### add

          public boolean add(SPCParamName[] items)

      Add all the information for the SPCParamNameList instance.
      Parameters:
        `items` - An instance of SPCParamNameList with added parameter informations.
      Returns:
        An boolean The result of adding the SPCParamNameList instance.

    - #### getQueryCommand

          public java.lang.String getQueryCommand(int engine)
                                           throws ATException

      Returns the parameter names of the barcode module.
      Parameters:
        `engine` - An identifier representing the type of the barcode module.
      Returns:
        A String that specifies the parameter name of the barcode module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.